JMXProtocolHttp (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.servlet.client.JMXProtocolHttp class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.servlet.client
Class JMXProtocolHttp

    java.lang.Object
      org.hyperic.hq.product.servlet.client.JMXProtocolRequest
          org.hyperic.hq.product.servlet.client.JMXProtocolHttp

Direct Known Subclasses:
  JMXProtocolHttps

    public class JMXProtocolHttp

extends JMXProtocolRequest

Talk to jmx servlet over http.

Constructor Summary
`JMXProtocolHttp()`

Method Summary
`protected boolean` | `isSSL()`
`java.io.InputStream` | `openStream(java.lang.String host, int port, java.lang.String user, java.lang.String pass, java.lang.String path, java.lang.String query)`
`void` | `shutdown()`

Methods inherited from class org.hyperic.hq.product.servlet.client.JMXProtocolRequest
`parseResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMXProtocolHttp

    public JMXProtocolHttp()

Method Detail

### shutdown

    public void shutdown()

  Specified by:
    `shutdown` in class `JMXProtocolRequest`

### isSSL

    protected boolean isSSL()

### openStream

    public java.io.InputStream openStream(java.lang.String host,
                                          int port,
                                          java.lang.String user,
                                          java.lang.String pass,
                                          java.lang.String path,
                                          java.lang.String query)
                                   throws java.lang.Exception

  Specified by:
    `openStream` in class `JMXProtocolRequest`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.